Message: Problem with migration from geant4.7.0 to geant4.8.1.p01 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Problem with migration from geant4.7.0 to geant4.8.1.p01 

Keywords: migration geant4.8.1.p01
Forum: Run Management
Date: 25 Aug, 2006
From: Courtine Fabien <courtine@clermont.in2p3.fr>

Hello,
I have a code which simulate gamma with energy from 10 keV to few MeV (i use LowEnergy package).
This code works very well with geant4.7.0 but i had a segmentation fault with geant4.8.1.p01.
Error Message from gdb:
PreInit> /control/execute test.mac

Program received signal SIGSEGV, Segmentation fault.
0x05f41472 in G4VUserPhysicsList::PreparePhysicsTable () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4run.so
(gdb) where
#0  0x05f41472 in G4VUserPhysicsList::PreparePhysicsTable () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4run.so
#1  0x05f40d55 in G4VUserPhysicsList::BuildPhysicsTable () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4run.so
#2  0x05f2ee98 in G4RunManagerKernel::BuildPhysicsTables () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4run.so
#3  0x05f2ed05 in G4RunManagerKernel::RunInitialization () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4run.so
#4  0x05f29d03 in G4RunManager::RunInitialization () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4run.so
#5  0x05f29b3c in G4RunManager::BeamOn () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4run.so
#6  0x05f37999 in G4RunMessenger::SetNewValue () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4run.so
#7  0x01ddb3eb in G4UIcommand::DoIt () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4intercoms.so
#8  0x01df4c43 in G4UImanager::ApplyCommand () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4intercoms.so
#9  0x01dd2081 in G4UIbatch::SessionStart () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4intercoms.so
#10 0x01df244a in G4UImanager::ExecuteMacroFile () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4intercoms.so
#11 0x01deeee1 in G4UIcontrolMessenger::SetNewValue () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4intercoms.so
#12 0x01ddb3eb in G4UIcommand::DoIt () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4intercoms.so
#13 0x01df4c43 in G4UImanager::ApplyCommand () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4intercoms.so
#14 0x01df4641 in G4UImanager::ApplyCommand () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4intercoms.so
#15 0x0151edb5 in G4UIterminal::ExecuteCommand () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4UIbasic.so
#16 0x0151e9ba in G4UIterminal::SessionStart () from /usr/local/geant4/geant4-08-01-ref-01-gcc-3.2.3/lib/Linux-g++/libG4UIbasic.so
#17 0x0804acbc in main (argc=1, argv=0xbfff94e4) at test_4_8_1_p01.cc:79

I tried to copy novice example N03 and it works very well!
Anybody can help me?
Fabien

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Problem with migration from geant4.7.0 to geant4.8.1.p01   (Vladimir IVANTCHENKO - 30 Aug, 2006)
2 None: Re: Problem with migration from geant4.7.0 to geant4.8.1.p01   (Courtine Fabien - 30 Aug, 2006)
1 None: Re: Problem with migration from geant4.7.0 to geant4.8.1.p01   (Vladimir IVANTCHENKO - 30 Aug, 2006)
(_ None: Re: Problem with migration from geant4.7.0 to geant4.8.1.p01   (CourtineFabien - 31 Aug, 2006)
 Add Message Add Message
to: "Problem with migration from geant4.7.0 to geant4.8.1.p01"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]